Index: ./devel/gettext/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/devel/gettext/Makefile,v
retrieving revision 1.71
diff -u -r1.71 Makefile
--- ./devel/gettext/Makefile	20 Feb 2006 14:04:45 -0000	1.71
+++ ./devel/gettext/Makefile	4 Apr 2006 06:26:51 -0000
@@ -10,7 +10,7 @@
 
 DEPENDS+=			gettext-m4-0.14.5:../../devel/gettext-m4
 DEPENDS+=			gettext-tools-0.14.5:../../devel/gettext-tools
-BUILDLINK_DEPENDS.gettext+=	gettext-lib>=0.14.5
+BUILDLINK_API_DEPENDS.gettext+=	gettext-lib>=0.14.5
 
 USE_PKGLOCALEDIR=	yes
 GNU_CONFIGURE=		yes
Index: ./devel/gettext-asprintf/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/gettext-asprintf/buildlink3.mk,v
retrieving revision 1.1
diff -u -r1.1 buildlink3.mk
--- ./devel/gettext-asprintf/buildlink3.mk	4 Feb 2006 18:03:57 -0000	1.1
+++ ./devel/gettext-asprintf/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	gettext-asprintf
 
 .if !empty(GETTEXT_ASPRINTF_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gettext-asprintf+=	gettext-asprintf>=0.14.5
+BUILDLINK_API_DEPENDS.gettext-asprintf+=	gettext-asprintf>=0.14.5
 BUILDLINK_PKGSRCDIR.gettext-asprintf?=	../../devel/gettext-asprintf
 .endif	# GETTEXT_ASPRINTF_BUILDLINK3_MK
 
Index: ./devel/gettext-lib/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/gettext-lib/buildlink3.mk,v
retrieving revision 1.24
diff -u -r1.24 buildlink3.mk
--- ./devel/gettext-lib/buildlink3.mk	5 Feb 2006 22:45:54 -0000	1.24
+++ ./devel/gettext-lib/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	gettext
 
 .if !empty(GETTEXT_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gettext+=	gettext-lib>=0.14.5
+BUILDLINK_API_DEPENDS.gettext+=	gettext-lib>=0.14.5
 BUILDLINK_PKGSRCDIR.gettext?=	../../devel/gettext-lib
 .endif	# GETTEXT_BUILDLINK3_MK
 
Index: ./devel/gettext-lib/builtin.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/gettext-lib/builtin.mk,v
retrieving revision 1.28
diff -u -r1.28 builtin.mk
--- ./devel/gettext-lib/builtin.mk	28 Feb 2006 23:43:38 -0000	1.28
+++ ./devel/gettext-lib/builtin.mk	4 Apr 2006 06:26:51 -0000
@@ -48,7 +48,7 @@
 .    if defined(BUILTIN_PKG.gettext) && \
         !empty(IS_BUILTIN.gettext:M[yY][eE][sS])
 USE_BUILTIN.gettext=	yes
-.      for _dep_ in ${BUILDLINK_DEPENDS.gettext}
+.      for _dep_ in ${BUILDLINK_API_DEPENDS.gettext}
 .        if !empty(USE_BUILTIN.gettext:M[yY][eE][sS])
 USE_BUILTIN.gettext!=							\
 	if ${PKG_ADMIN} pmatch ${_dep_:Q} ${BUILTIN_PKG.gettext:Q}; then \
@@ -142,7 +142,7 @@
 _BLTN_GETTEXT_ICONV_DEPENDS=	gettext-lib>=0.11.5nb1
 .    if !defined(_BLTN_GETTEXT_NEEDS_ICONV)
 _BLTN_GETTEXT_NEEDS_ICONV?=	no
-.      for _dep_ in ${BUILDLINK_DEPENDS.gettext}
+.      for _dep_ in ${BUILDLINK_API_DEPENDS.gettext}
 .        if !empty(_BLTN_GETTEXT_NEEDS_ICONV:M[nN][oO])
 _BLTN_GETTEXT_NEEDS_ICONV!=						\
 	pkg=`${PKG_BEST_EXISTS} ${_dep_:Q}`;				\
@@ -164,7 +164,7 @@
 .        sinclude "../../converters/libiconv/${_mkfile_}"
 BUILDLINK_DEPTH:=	${BUILDLINK_DEPTH:S/+$//}
 .      endfor
-BUILDLINK_DEPENDS.gettext+=	${_BLTN_GETTEXT_ICONV_DEPENDS}
+BUILDLINK_API_DEPENDS.gettext+=	${_BLTN_GETTEXT_ICONV_DEPENDS}
 _BLTN_LIBINTL+=			${BUILDLINK_LDADD.iconv}
 .    endif
 .  endif
Index: ./devel/giblib/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/giblib/buildlink3.mk,v
retrieving revision 1.5
diff -u -r1.5 buildlink3.mk
--- ./devel/giblib/buildlink3.mk	5 Feb 2006 23:08:42 -0000	1.5
+++ ./devel/giblib/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	giblib
 
 .if !empty(GIBLIB_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.giblib+=	giblib>=1.2.3nb3
-BUILDLINK_RECOMMENDED.giblib+=	giblib>=1.2.4nb3
+BUILDLINK_API_DEPENDS.giblib+=	giblib>=1.2.3nb3
+BUILDLINK_ABI_DEPENDS.giblib+=	giblib>=1.2.4nb3
 BUILDLINK_PKGSRCDIR.giblib?=	../../devel/giblib
 .endif	# GIBLIB_BUILDLINK3_MK
 
Index: ./devel/gettext-tools/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/devel/gettext-tools/Makefile,v
retrieving revision 1.4
diff -u -r1.4 Makefile
--- ./devel/gettext-tools/Makefile	30 Mar 2006 03:44:42 -0000	1.4
+++ ./devel/gettext-tools/Makefile	4 Apr 2006 06:26:51 -0000
@@ -9,7 +9,7 @@
 HOMEPAGE=		http://www.gnu.org/software/gettext/gettext.html
 COMMENT=		Tools for providing messages in different languages
 
-BUILDLINK_DEPENDS.gettext+=	gettext-lib>=0.14.5
+BUILDLINK_API_DEPENDS.gettext+=	gettext-lib>=0.14.5
 CONFLICTS=		gettext<0.14.5
 
 USE_PKGLOCALEDIR=	yes
Index: ./devel/glib/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/glib/buildlink3.mk,v
retrieving revision 1.7
diff -u -r1.7 buildlink3.mk
--- ./devel/glib/buildlink3.mk	3 Oct 2004 00:13:27 -0000	1.7
+++ ./devel/glib/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	glib
 
 .if !empty(GLIB_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.glib+=	glib>=1.2.10nb5
-BUILDLINK_RECOMMENDED.glib+=	glib>=1.2.10nb7
+BUILDLINK_API_DEPENDS.glib+=	glib>=1.2.10nb5
+BUILDLINK_ABI_DEPENDS.glib+=	glib>=1.2.10nb7
 BUILDLINK_PKGSRCDIR.glib?=	../../devel/glib
 .endif	# GLIB_BUILDLINK3_MK
 
Index: ./devel/glib2/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/glib2/buildlink3.mk,v
retrieving revision 1.9
diff -u -r1.9 buildlink3.mk
--- ./devel/glib2/buildlink3.mk	5 Feb 2006 23:08:42 -0000	1.9
+++ ./devel/glib2/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	glib2
 
 .if !empty(GLIB2_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.glib2+=	glib2>=2.4.0
-BUILDLINK_RECOMMENDED.glib2+=	glib2>=2.8.6nb1
+BUILDLINK_API_DEPENDS.glib2+=	glib2>=2.4.0
+BUILDLINK_ABI_DEPENDS.glib2+=	glib2>=2.8.6nb1
 BUILDLINK_PKGSRCDIR.glib2?=	../../devel/glib2
 .endif	# GLIB2_BUILDLINK3_MK
 
Index: ./devel/glibmm/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/devel/glibmm/Makefile,v
retrieving revision 1.8
diff -u -r1.8 Makefile
--- ./devel/glibmm/Makefile	12 Mar 2006 21:09:45 -0000	1.8
+++ ./devel/glibmm/Makefile	4 Apr 2006 06:26:51 -0000
@@ -16,7 +16,7 @@
 PKGCONFIG_OVERRIDE+=	${WRKSRC:Q}/glib/glibmm-2.4.pc.in
 GNU_CONFIGURE=		yes
 
-BUILDLINK_DEPENDS.glib2+=	glib2>=2.8.0
+BUILDLINK_API_DEPENDS.glib2+=	glib2>=2.8.0
 
 .include "../../devel/glib2/buildlink3.mk"
 .include "../../devel/libsigc++2/buildlink3.mk"
Index: ./devel/glibmm/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/glibmm/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./devel/glibmm/buildlink3.mk	5 Feb 2006 23:08:42 -0000	1.3
+++ ./devel/glibmm/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	glibmm
 
 .if !empty(GLIBMM_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.glibmm+=	glibmm>=2.6.1
-BUILDLINK_RECOMMENDED.glibmm?=	glibmm>=2.8.3nb1
+BUILDLINK_API_DEPENDS.glibmm+=	glibmm>=2.6.1
+BUILDLINK_ABI_DEPENDS.glibmm?=	glibmm>=2.8.3nb1
 BUILDLINK_PKGSRCDIR.glibmm?=	../../devel/glibmm
 .endif	# GLIBMM_BUILDLINK3_MK
 
Index: ./devel/gmp/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/gmp/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./devel/gmp/buildlink3.mk	3 Oct 2004 00:13:28 -0000	1.4
+++ ./devel/gmp/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	gmp
 
 .if !empty(GMP_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gmp+=		gmp>=4.1.2
-BUILDLINK_RECOMMENDED.gmp+=	gmp>=4.1.3nb1
+BUILDLINK_API_DEPENDS.gmp+=		gmp>=4.1.2
+BUILDLINK_ABI_DEPENDS.gmp+=	gmp>=4.1.3nb1
 BUILDLINK_PKGSRCDIR.gmp?=	../../devel/gmp
 .endif	# GMP_BUILDLINK3_MK
 
Index: ./devel/gnustep-base/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/gnustep-base/buildlink3.mk,v
retrieving revision 1.8
diff -u -r1.8 buildlink3.mk
--- ./devel/gnustep-base/buildlink3.mk	5 Feb 2006 23:08:43 -0000	1.8
+++ ./devel/gnustep-base/buildlink3.mk	4 Apr 2006 06:26:52 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	gnustep-base
 
 .if !empty(GNUSTEP_BASE_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gnustep-base+=	gnustep-base>=1.9.1
-BUILDLINK_RECOMMENDED.gnustep-base+=	gnustep-base>=1.11.2nb1
+BUILDLINK_API_DEPENDS.gnustep-base+=	gnustep-base>=1.9.1
+BUILDLINK_ABI_DEPENDS.gnustep-base+=	gnustep-base>=1.11.2nb1
 BUILDLINK_PKGSRCDIR.gnustep-base?=	../../devel/gnustep-base
 
 PRINT_PLIST_AWK+=	/^@dirrm share\/GNUstep\/System\/Library\/Headers\/Foundation$$/ { print "@comment in devel/gnustep-base: " $$0; next; }
Index: ./devel/gnustep-make/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/gnustep-make/buildlink3.mk,v
retrieving revision 1.7
diff -u -r1.7 buildlink3.mk
--- ./devel/gnustep-make/buildlink3.mk	5 Feb 2006 23:08:43 -0000	1.7
+++ ./devel/gnustep-make/buildlink3.mk	4 Apr 2006 06:26:52 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	gnustep-make
 
 .if !empty(GNUSTEP_MAKE_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gnustep-make+=	gnustep-make>=1.9.1
-BUILDLINK_RECOMMENDED.gnustep-make?=	gnustep-make>=1.11.2nb1
+BUILDLINK_API_DEPENDS.gnustep-make+=	gnustep-make>=1.9.1
+BUILDLINK_ABI_DEPENDS.gnustep-make?=	gnustep-make>=1.11.2nb1
 BUILDLINK_PKGSRCDIR.gnustep-make?=	../../devel/gnustep-make
 
 .include "../../devel/gnustep-make/gnustep.mk"
Index: ./devel/gnustep-objc/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/gnustep-objc/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./devel/gnustep-objc/buildlink3.mk	5 Feb 2006 23:08:43 -0000	1.2
+++ ./devel/gnustep-objc/buildlink3.mk	4 Apr 2006 06:26:52 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	gnustep-objc
 
 .if !empty(GNUSTEP_OBJC_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gnustep-objc+=	gnustep-objc>=1.3.0
-BUILDLINK_RECOMMENDED.gnustep-objc?=	gnustep-objc>=1.3.0nb1
+BUILDLINK_API_DEPENDS.gnustep-objc+=	gnustep-objc>=1.3.0
+BUILDLINK_ABI_DEPENDS.gnustep-objc?=	gnustep-objc>=1.3.0nb1
 BUILDLINK_PKGSRCDIR.gnustep-objc?=	../../devel/gnustep-objc
 .endif	# GNUSTEP_OBJC_BUILDLINK3_MK
 
Index: ./devel/gnustep-objc-lf2/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/gnustep-objc-lf2/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./devel/gnustep-objc-lf2/buildlink3.mk	5 Feb 2006 23:08:43 -0000	1.2
+++ ./devel/gnustep-objc-lf2/buildlink3.mk	4 Apr 2006 06:26:52 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	gnustep-objc-lf2
 
 .if !empty(GNUSTEP_OBJC_LF2_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gnustep-objc-lf2+=	gnustep-objc-lf2>=2.95.3.88
-BUILDLINK_RECOMMENDED.gnustep-objc-lf2?=	gnustep-objc-lf2>=2.95.3.88nb1
+BUILDLINK_API_DEPENDS.gnustep-objc-lf2+=	gnustep-objc-lf2>=2.95.3.88
+BUILDLINK_ABI_DEPENDS.gnustep-objc-lf2?=	gnustep-objc-lf2>=2.95.3.88nb1
 BUILDLINK_PKGSRCDIR.gnustep-objc-lf2?=	../../devel/gnustep-objc-lf2
 BUILDLINK_TRANSFORM.gnustep-objc-lf2?=	-e "s|Headers/objc_lf2/|Headers/objc/|g"
 BUILDLINK_TRANSFORM+=	l:objc:objc_lf2
Index: ./devel/gob2/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/gob2/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./devel/gob2/buildlink3.mk	5 Feb 2006 23:08:43 -0000	1.3
+++ ./devel/gob2/buildlink3.mk	4 Apr 2006 06:26:52 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	gob2
 
 .if !empty(GOB2_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gob2+=	gob2>=2.0.10
-BUILDLINK_RECOMMENDED.gob2?=	gob2>=2.0.12nb1
+BUILDLINK_API_DEPENDS.gob2+=	gob2>=2.0.10
+BUILDLINK_ABI_DEPENDS.gob2?=	gob2>=2.0.12nb1
 BUILDLINK_PKGSRCDIR.gob2?=	../../devel/gob2
 .endif	# GOB2_BUILDLINK3_MK
 
Index: ./devel/gperf/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/gperf/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./devel/gperf/buildlink3.mk	5 Mar 2004 19:25:10 -0000	1.2
+++ ./devel/gperf/buildlink3.mk	4 Apr 2006 06:26:52 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	gperf
 
 .if !empty(GPERF_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gperf+=	gperf>=3.0.1
+BUILDLINK_API_DEPENDS.gperf+=	gperf>=3.0.1
 BUILDLINK_PKGSRCDIR.gperf?=	../../devel/gperf
 BUILDLINK_DEPMETHOD.gperf?=	build
 .endif	# GPERF_BUILDLINK3_MK
Index: ./devel/gtl/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/gtl/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./devel/gtl/buildlink3.mk	2 Nov 2004 20:36:50 -0000	1.3
+++ ./devel/gtl/buildlink3.mk	4 Apr 2006 06:26:52 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	gtl
 
 .if !empty(GTL_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gtl+=		gtl>=1.2.0
+BUILDLINK_API_DEPENDS.gtl+=		gtl>=1.2.0
 BUILDLINK_PKGSRCDIR.gtl?=	../../devel/gtl
 .endif	# GTL_BUILDLINK3_MK
 
Index: ./devel/guile-gtk/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/guile-gtk/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./devel/guile-gtk/buildlink3.mk	5 Feb 2006 23:08:43 -0000	1.4
+++ ./devel/guile-gtk/buildlink3.mk	4 Apr 2006 06:26:52 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	guile-gtk
 
 .if !empty(GUILE_GTK_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.guile-gtk+=	guile-gtk>=0.40
-BUILDLINK_RECOMMENDED.guile-gtk?=	guile-gtk>=0.40.91nb1
+BUILDLINK_API_DEPENDS.guile-gtk+=	guile-gtk>=0.40
+BUILDLINK_ABI_DEPENDS.guile-gtk?=	guile-gtk>=0.40.91nb1
 BUILDLINK_PKGSRCDIR.guile-gtk?=	../../devel/guile-gtk
 .endif	# GUILE_GTK_BUILDLINK3_MK
 
Index: ./devel/guile14-gtk/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/guile14-gtk/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./devel/guile14-gtk/buildlink3.mk	5 Feb 2006 23:08:43 -0000	1.2
+++ ./devel/guile14-gtk/buildlink3.mk	4 Apr 2006 06:26:52 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	guile-gtk
 
 .if !empty(GUILE_GTK_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.guile-gtk+=	guile-gtk>=0.19nb4
-BUILDLINK_RECOMMENDED.guile-gtk+=	guile-gtk>=0.19nb7
+BUILDLINK_API_DEPENDS.guile-gtk+=	guile-gtk>=0.19nb4
+BUILDLINK_ABI_DEPENDS.guile-gtk+=	guile-gtk>=0.19nb7
 BUILDLINK_PKGSRCDIR.guile-gtk?=	../../devel/guile14-gtk
 .endif	# GUILE_GTK_BUILDLINK3_MK
 
Index: ./devel/hdf/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/hdf/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./devel/hdf/buildlink3.mk	5 Feb 2006 23:08:43 -0000	1.2
+++ ./devel/hdf/buildlink3.mk	4 Apr 2006 06:26:52 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	hdf
 
 .if !empty(HDF_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.hdf+=	hdf>=4.1r5
-BUILDLINK_RECOMMENDED.hdf?=	hdf>=4.2r1nb1
+BUILDLINK_API_DEPENDS.hdf+=	hdf>=4.1r5
+BUILDLINK_ABI_DEPENDS.hdf?=	hdf>=4.2r1nb1
 BUILDLINK_PKGSRCDIR.hdf?=	../../devel/hdf
 .endif	# HDF_BUILDLINK3_MK
 
Index: ./devel/hdf5/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/hdf5/buildlink3.mk,v
retrieving revision 1.6
diff -u -r1.6 buildlink3.mk
--- ./devel/hdf5/buildlink3.mk	10 Feb 2006 19:56:13 -0000	1.6
+++ ./devel/hdf5/buildlink3.mk	4 Apr 2006 06:26:52 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	hdf5
 
 .if !empty(HDF5_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.hdf5+=	hdf5>=1.6.2
-BUILDLINK_RECOMMENDED.hdf5+=	hdf5>=1.6.5nb1
+BUILDLINK_API_DEPENDS.hdf5+=	hdf5>=1.6.2
+BUILDLINK_ABI_DEPENDS.hdf5+=	hdf5>=1.6.5nb1
 BUILDLINK_PKGSRCDIR.hdf5?=	../../devel/hdf5
 .endif	# HDF5_BUILDLINK3_MK
 
Index: ./devel/kdesdk3/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/kdesdk3/buildlink3.mk,v
retrieving revision 1.7
diff -u -r1.7 buildlink3.mk
--- ./devel/kdesdk3/buildlink3.mk	5 Feb 2006 23:08:44 -0000	1.7
+++ ./devel/kdesdk3/buildlink3.mk	4 Apr 2006 06:26:52 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	kdesdk
 
 .if !empty(KDESDK_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.kdesdk+=	kdesdk>=3.5.0nb1
-BUILDLINK_RECOMMENDED.kdesdk?=	kdesdk>=3.5.1nb1
+BUILDLINK_API_DEPENDS.kdesdk+=	kdesdk>=3.5.0nb1
+BUILDLINK_ABI_DEPENDS.kdesdk?=	kdesdk>=3.5.1nb1
 BUILDLINK_PKGSRCDIR.kdesdk?=	../../devel/kdesdk3
 .endif	# KDESDK_BUILDLINK3_MK
 
Index: ./devel/ldapsdk/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/ldapsdk/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./devel/ldapsdk/buildlink3.mk	5 Feb 2006 23:08:44 -0000	1.2
+++ ./devel/ldapsdk/buildlink3.mk	4 Apr 2006 06:26:52 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	ldapsdk
 
 .if !empty(LDAPSDK_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.ldapsdk+=	ldapsdk>=12311998
-BUILDLINK_RECOMMENDED.ldapsdk?=	ldapsdk>=12311998nb2
+BUILDLINK_API_DEPENDS.ldapsdk+=	ldapsdk>=12311998
+BUILDLINK_ABI_DEPENDS.ldapsdk?=	ldapsdk>=12311998nb2
 BUILDLINK_PKGSRCDIR.ldapsdk?=	../../devel/ldapsdk
 .endif	# LDAPSDK_BUILDLINK3_MK
 
Index: ./devel/libFoundation/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/libFoundation/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./devel/libFoundation/buildlink3.mk	5 Feb 2006 23:08:44 -0000	1.4
+++ ./devel/libFoundation/buildlink3.mk	4 Apr 2006 06:26:52 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libFoundation
 
 .if !empty(LIBFOUNDATION_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libFoundation+=	libFoundation>=1.0.72.107nb1
-BUILDLINK_RECOMMENDED.libFoundation?=	libFoundation>=1.0.72.107nb2
+BUILDLINK_API_DEPENDS.libFoundation+=	libFoundation>=1.0.72.107nb1
+BUILDLINK_ABI_DEPENDS.libFoundation?=	libFoundation>=1.0.72.107nb2
 BUILDLINK_PKGSRCDIR.libFoundation?=	../../devel/libFoundation
 
 PRINT_PLIST_AWK+=	/^@dirrm share\/GNUstep\/System\/Libraries$$/ { print "@comment in devel/libFoundation: " $$0; next; }
Index: ./devel/libargparse/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/libargparse/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./devel/libargparse/buildlink3.mk	3 Oct 2004 00:13:29 -0000	1.2
+++ ./devel/libargparse/buildlink3.mk	4 Apr 2006 06:26:52 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libargparse
 
 .if !empty(LIBARGPARSE_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libargparse+=	libargparse>=0.1.0000
-BUILDLINK_RECOMMENDED.libargparse+=	libargparse>=0.1.0000nb1
+BUILDLINK_API_DEPENDS.libargparse+=	libargparse>=0.1.0000
+BUILDLINK_ABI_DEPENDS.libargparse+=	libargparse>=0.1.0000nb1
 BUILDLINK_PKGSRCDIR.libargparse?=	../../devel/libargparse
 .endif	# LIBARGPARSE_BUILDLINK3_MK
 
Index: ./devel/libast/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/libast/buildlink3.mk,v
retrieving revision 1.5
diff -u -r1.5 buildlink3.mk
--- ./devel/libast/buildlink3.mk	5 Feb 2006 23:08:44 -0000	1.5
+++ ./devel/libast/buildlink3.mk	4 Apr 2006 06:26:52 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libast
 
 .if !empty(LIBAST_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libast+=	libast>=0.5nb5
-BUILDLINK_RECOMMENDED.libast+=	libast>=0.6.1nb1
+BUILDLINK_API_DEPENDS.libast+=	libast>=0.5nb5
+BUILDLINK_ABI_DEPENDS.libast+=	libast>=0.6.1nb1
 BUILDLINK_PKGSRCDIR.libast?=	../../devel/libast
 .endif	# LIBAST_BUILDLINK3_MK
 
Index: ./devel/libaura/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/libaura/buildlink3.mk,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 buildlink3.mk
--- ./devel/libaura/buildlink3.mk	9 Feb 2005 05:40:28 -0000	1.1.1.1
+++ ./devel/libaura/buildlink3.mk	4 Apr 2006 06:26:52 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	libaura
 
 .if !empty(LIBAURA_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libaura+=	libaura>=2.0
+BUILDLINK_API_DEPENDS.libaura+=	libaura>=2.0
 BUILDLINK_PKGSRCDIR.libaura?=	../../devel/libaura
 .endif	# LIBAURA_BUILDLINK3_MK
 
Index: ./devel/libbegemot/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/libbegemot/buildlink3.mk,v
retrieving revision 1.1
diff -u -r1.1 buildlink3.mk
--- ./devel/libbegemot/buildlink3.mk	5 Apr 2005 11:13:12 -0000	1.1
+++ ./devel/libbegemot/buildlink3.mk	4 Apr 2006 06:26:52 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	libbegemot
 
 .if !empty(LIBBEGEMOT_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libbegemot+=	libbegemot>=1.9nb1
+BUILDLINK_API_DEPENDS.libbegemot+=	libbegemot>=1.9nb1
 BUILDLINK_PKGSRCDIR.libbegemot?=	../../devel/libbegemot
 .endif	# LIBBEGEMOT_BUILDLINK3_MK
 
Index: ./devel/libbonobo/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/libbonobo/buildlink3.mk,v
retrieving revision 1.12
diff -u -r1.12 buildlink3.mk
--- ./devel/libbonobo/buildlink3.mk	5 Feb 2006 23:08:44 -0000	1.12
+++ ./devel/libbonobo/buildlink3.mk	4 Apr 2006 06:26:52 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libbonobo
 
 .if !empty(LIBBONOBO_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libbonobo+=	libbonobo>=2.8.0
-BUILDLINK_RECOMMENDED.libbonobo+=	libbonobo>=2.10.1nb2
+BUILDLINK_API_DEPENDS.libbonobo+=	libbonobo>=2.8.0
+BUILDLINK_ABI_DEPENDS.libbonobo+=	libbonobo>=2.10.1nb2
 BUILDLINK_PKGSRCDIR.libbonobo?=	../../devel/libbonobo
 
 BUILDLINK_FILES.libbonobo+=	share/idl/bonobo-2.0/*
Index: ./devel/libbonoboui/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/devel/libbonoboui/Makefile,v
retrieving revision 1.48
diff -u -r1.48 Makefile
--- ./devel/libbonoboui/Makefile	6 Mar 2006 00:18:11 -0000	1.48
+++ ./devel/libbonoboui/Makefile	4 Apr 2006 06:26:52 -0000
@@ -23,7 +23,7 @@
 
 CONFIGURE_ARGS+=	--with-html-dir=${PREFIX}/share/doc
 
-BUILDLINK_DEPENDS.libbonobo+=	libbonobo>=2.10.1
+BUILDLINK_API_DEPENDS.libbonobo+=	libbonobo>=2.10.1
 
 .include "../../devel/gettext-lib/buildlink3.mk"
 .include "../../devel/GConf2/buildlink3.mk"
Index: ./devel/libbonoboui/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/libbonoboui/buildlink3.mk,v
retrieving revision 1.10
diff -u -r1.10 buildlink3.mk
--- ./devel/libbonoboui/buildlink3.mk	5 Feb 2006 23:08:44 -0000	1.10
+++ ./devel/libbonoboui/buildlink3.mk	4 Apr 2006 06:26:52 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libbonoboui
 
 .if !empty(LIBBONOBOUI_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libbonoboui+=		libbonoboui>=2.8.0
-BUILDLINK_RECOMMENDED.libbonoboui+=	libbonoboui>=2.10.1nb3
+BUILDLINK_API_DEPENDS.libbonoboui+=		libbonoboui>=2.8.0
+BUILDLINK_ABI_DEPENDS.libbonoboui+=	libbonoboui>=2.10.1nb3
 BUILDLINK_PKGSRCDIR.libbonoboui?=	../../devel/libbonoboui
 .endif	# LIBBONOBOUI_BUILDLINK3_MK
 
Index: ./devel/libcfg+/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/libcfg+/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./devel/libcfg+/buildlink3.mk	5 Feb 2006 23:08:44 -0000	1.2
+++ ./devel/libcfg+/buildlink3.mk	4 Apr 2006 06:26:52 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libcfg
 
 .if !empty(LIBCFG_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libcfg+=	libcfg+>=0.6.2nb1
-BUILDLINK_RECOMMENDED.libcfg++=	libcfg+>=0.6.2nb3
+BUILDLINK_API_DEPENDS.libcfg+=	libcfg+>=0.6.2nb1
+BUILDLINK_ABI_DEPENDS.libcfg++=	libcfg+>=0.6.2nb3
 BUILDLINK_PKGSRCDIR.libcfg?=	../../devel/libcfg+
 .endif	# LIBCFG_BUILDLINK3_MK
 
Index: ./devel/libdfui/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/libdfui/buildlink3.mk,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 buildlink3.mk
--- ./devel/libdfui/buildlink3.mk	9 Feb 2005 05:41:36 -0000	1.1.1.1
+++ ./devel/libdfui/buildlink3.mk	4 Apr 2006 06:26:52 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	libdfui
 
 .if !empty(LIBDFUI_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libdfui+=	libdfui>=3.0
+BUILDLINK_API_DEPENDS.libdfui+=	libdfui>=3.0
 BUILDLINK_PKGSRCDIR.libdfui?=	../../devel/libdfui
 .endif	# LIBDFUI_BUILDLINK3_MK
 
Index: ./devel/libdnsres/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/devel/libdnsres/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- ./devel/libdnsres/Makefile	26 Feb 2006 17:05:08 -0000	1.3
+++ ./devel/libdnsres/Makefile	4 Apr 2006 06:26:52 -0000
@@ -15,7 +15,7 @@
 GNU_CONFIGURE=		YES
 
 # uses event_once
-BUILDLINK_DEPENDS.libevent+=	libevent>=0.9
+BUILDLINK_API_DEPENDS.libevent+=	libevent>=0.9
 
 .include "../../devel/libevent/buildlink3.mk"
 .include "../../mk/bsd.pkg.mk"
Index: ./devel/libdnsres/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/libdnsres/buildlink3.mk,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 buildlink3.mk
--- ./devel/libdnsres/buildlink3.mk	19 Feb 2006 17:11:06 -0000	1.1.1.1
+++ ./devel/libdnsres/buildlink3.mk	4 Apr 2006 06:26:52 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	libdnsres
 
 .if !empty(LIBDNSRES_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libdnsres+=	libdnsres>=0.1a
+BUILDLINK_API_DEPENDS.libdnsres+=	libdnsres>=0.1a
 BUILDLINK_PKGSRCDIR.libdnsres?=	../../devel/libdnsres
 .endif	# LIBDNSRES_BUILDLINK3_MK
 
Index: ./devel/libdockapp/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/libdockapp/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./devel/libdockapp/buildlink3.mk	5 Feb 2006 23:08:44 -0000	1.4
+++ ./devel/libdockapp/buildlink3.mk	4 Apr 2006 06:26:52 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libdockapp
 
 .if !empty(LIBDOCKAPP_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libdockapp+=		libdockapp>=0.4.0
-BUILDLINK_RECOMMENDED.libdockapp+=	libdockapp>=0.4.0nb2
+BUILDLINK_API_DEPENDS.libdockapp+=		libdockapp>=0.4.0
+BUILDLINK_ABI_DEPENDS.libdockapp+=	libdockapp>=0.4.0nb2
 BUILDLINK_PKGSRCDIR.libdockapp?=	../../devel/libdockapp
 .endif	# LIBDOCKAPP_BUILDLINK3_MK
 
Index: ./devel/libebml/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/libebml/buildlink3.mk,v
retrieving revision 1.9
diff -u -r1.9 buildlink3.mk
--- ./devel/libebml/buildlink3.mk	5 Feb 2006 23:08:44 -0000	1.9
+++ ./devel/libebml/buildlink3.mk	4 Apr 2006 06:26:52 -0000
@@ -16,8 +16,8 @@
 BUILDLINK_PACKAGES+=	libebml
 
 .if !empty(LIBEBML_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libebml+=	libebml>=0.7.6
-BUILDLINK_RECOMMENDED.libebml?=	libebml>=0.7.6nb1
+BUILDLINK_API_DEPENDS.libebml+=	libebml>=0.7.6
+BUILDLINK_ABI_DEPENDS.libebml?=	libebml>=0.7.6nb1
 BUILDLINK_PKGSRCDIR.libebml?=	../../devel/libebml
 .endif	# LIBEBML_BUILDLINK3_MK
 
Index: ./devel/libelf/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/libelf/buildlink3.mk,v
retrieving revision 1.1
diff -u -r1.1 buildlink3.mk
--- ./devel/libelf/buildlink3.mk	13 Aug 2004 07:09:01 -0000	1.1
+++ ./devel/libelf/buildlink3.mk	4 Apr 2006 06:26:52 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	libelf
 
 .if !empty(LIBELF_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libelf+=	libelf>=0.8.5
+BUILDLINK_API_DEPENDS.libelf+=	libelf>=0.8.5
 BUILDLINK_PKGSRCDIR.libelf?=	../../devel/libelf
 BUILDLINK_DEPMETHOD.libelf?=	build
 .endif	# LIBELF_BUILDLINK3_MK
Index: ./devel/libetm/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/libetm/buildlink3.mk,v
retrieving revision 1.1
diff -u -r1.1 buildlink3.mk
--- ./devel/libetm/buildlink3.mk	5 Apr 2005 11:10:27 -0000	1.1
+++ ./devel/libetm/buildlink3.mk	4 Apr 2006 06:26:52 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	libetm
 
 .if !empty(LIBETM_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libetm+=	libetm>=1.09
+BUILDLINK_API_DEPENDS.libetm+=	libetm>=1.09
 BUILDLINK_PKGSRCDIR.libetm?=	../../devel/libetm
 BUILDLINK_DEPMETHOD.libetm?=	build
 .endif	# LIBETM_BUILDLINK3_MK
Index: ./devel/libevent/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/libevent/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./devel/libevent/buildlink3.mk	16 Sep 2005 14:46:43 -0000	1.3
+++ ./devel/libevent/buildlink3.mk	4 Apr 2006 06:26:52 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	libevent
 
 .if !empty(LIBEVENT_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libevent+=	libevent>=0.6
+BUILDLINK_API_DEPENDS.libevent+=	libevent>=0.6
 BUILDLINK_PKGSRCDIR.libevent?=	../../devel/libevent
 .endif	# LIBEVENT_BUILDLINK3_MK
 
Index: ./devel/libevent/builtin.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/libevent/builtin.mk,v
retrieving revision 1.3
diff -u -r1.3 builtin.mk
--- ./devel/libevent/builtin.mk	1 Jun 2005 18:02:44 -0000	1.3
+++ ./devel/libevent/builtin.mk	4 Apr 2006 06:26:52 -0000
@@ -31,7 +31,7 @@
 .    if defined(BUILTIN_PKG.libevent) && \
         !empty(IS_BUILTIN.libevent:M[yY][eE][sS])
 USE_BUILTIN.libevent=	yes
-.      for _dep_ in ${BUILDLINK_DEPENDS.libevent}
+.      for _dep_ in ${BUILDLINK_API_DEPENDS.libevent}
 .        if !empty(USE_BUILTIN.libevent:M[yY][eE][sS])
 USE_BUILTIN.libevent!=							\
 	if ${PKG_ADMIN} pmatch ${_dep_:Q} ${BUILTIN_PKG.libevent:Q}; then \
Index: ./devel/libextractor/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/libextractor/buildlink3.mk,v
retrieving revision 1.5
diff -u -r1.5 buildlink3.mk
--- ./devel/libextractor/buildlink3.mk	5 Mar 2006 22:06:38 -0000	1.5
+++ ./devel/libextractor/buildlink3.mk	4 Apr 2006 06:26:52 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libextractor
 
 .if !empty(LIBEXTRACTOR_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libextractor+=	libextractor>=0.3.10
-BUILDLINK_RECOMMENDED.libextractor+=	libextractor>=0.5.3nb3
+BUILDLINK_API_DEPENDS.libextractor+=	libextractor>=0.3.10
+BUILDLINK_ABI_DEPENDS.libextractor+=	libextractor>=0.5.3nb3
 BUILDLINK_PKGSRCDIR.libextractor?=	../../devel/libextractor
 .endif	# LIBEXTRACTOR_BUILDLINK3_MK
 
Index: ./devel/libffi/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/libffi/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./devel/libffi/buildlink3.mk	3 Oct 2004 00:13:29 -0000	1.2
+++ ./devel/libffi/buildlink3.mk	4 Apr 2006 06:26:52 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libffi
 
 .if !empty(LIBFFI_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libffi+=	libffi>=1.20
-BUILDLINK_RECOMMENDED.libffi+=	libffi>=2.0betanb1
+BUILDLINK_API_DEPENDS.libffi+=	libffi>=1.20
+BUILDLINK_ABI_DEPENDS.libffi+=	libffi>=2.0betanb1
 BUILDLINK_PKGSRCDIR.libffi?=	../../devel/libffi
 .endif	# LIBFFI_BUILDLINK3_MK
 
